@echo off
REM
REM InterCheck server for Windows NT installation CMD file.
REM
REM (c) Sophos PLC 1995,96.
REM
REM Version 1.01 28 Feb 1996 RJB

REM -------------------------------------------------------------
REM Check we have an argument.

TITLE Installing Sophos Sweep for Windows NT

IF x%1 == x goto no_arg_given
IF x%2 == xstarted goto try_again_icontrol

REM -------------------------------------------------------------
REM This bit creates the directories. Note we use pushd to allow
REM us to pop back out again at the end.

IF EXIST %1 goto do_not_create_root
mkdir %1
IF NOT ERRORLEVEL 0 goto could_not_create_root

:do_not_create_root
pushd %1
IF EXIST COMMS goto do_not_create_comms
mkdir COMMS
rem echo "Y" | cacls COMMS /p Everyone:f
IF NOT ERRORLEVEL 0 goto could_not_create_comms

:do_not_create_comms
IF EXIST LISTS goto do_not_create_lists
mkdir LISTS
IF NOT ERRORLEVEL 0 goto could_not_create_lists

:do_not_create_lists
IF EXIST INFECTED goto do_not_create_infected
mkdir INFECTED
rem echo "Y" | cacls INFECTED /p Everyone:N
IF NOT ERRORLEVEL 0 goto could_not_create_infected

:do_not_create_infected

REM -------------------------------------------------------------
REM Copy this file onto the hard disk and transfer control to it.

IF EXIST A:NTICINST.CMD GOTO copy_nticinst

REM -------------------------------------------------------------
REM Now we do the actual copying.

:try_again_icontrol
IF NOT EXIST A:ICONTROL.EXE goto wrong_disk_icontrol
xcopy /q a:*.pif .
xcopy /q a:icontrol.exe .
if exist a:icw.exe xcopy /q a:icw.exe .
if exist a:icw.hlp xcopy /q a:icw.hlp .
IF NOT ERRORLEVEL 0 goto copy_failed

:try_again_ntsweep
echo Please insert the NT Sweep disk into drive A:
PAUSE
IF NOT EXIST A:NTSWEEP.EXE goto wrong_disk_ntsweep
xcopy /q a:*.* .
IF NOT EXIST install.cmd goto skip_delete_install
del install.cmd
:skip_delete_install
IF NOT ERRORLEVEL 0 goto copy_failed

:try_again_dossweep
echo Please insert the DOS Sweep disk into drive A:
PAUSE
IF NOT EXIST A:SWEEP.EXE goto wrong_disk_dossweep
xcopy /q a:*.* .
IF NOT ERRORLEVEL 0 goto copy_failed

:try_again_interchk
echo Please insert the InterCheck disk into drive A:
PAUSE
IF NOT EXIST A:INTERCHK.EXE goto wrong_disk_interchk
xcopy /q a:*.* .
IF NOT ERRORLEVEL 0 goto copy_failed

REM -------------------------------------------------------------
REM Now create a default INTERCHK.CFG file.

echo [InterCheckGlobal] > INTERCHK.CFG
echo Exclude=CONFIG.SYS >> INTERCHK.CFG
goto exit_success_code

REM -------------------------------------------------------------
REM Below here are the error handling conditions.

:copy_failed
echo Unknown error whilst copying files.
goto exit_fail_code

:wrong_disk_dossweep
echo You have inserted the wrong disk.
goto try_again_dossweep

:wrong_disk_ntsweep
echo You have inserted the wrong disk.
goto try_again_ntsweep

:wrong_disk_interchk
echo You have inserted the wrong disk.
goto try_again_interchk

:wrong_disk_icontrol
echo You have inserted the wrong disk.
goto try_again_icontrol

:this_is_the_wrong_drive
echo This installation system must run from the A: drive.
goto exit_fail_code

:could_not_create_root
echo Could not create directory %1.
goto exit_fail_code

:could_not_create_comms
echo Could not create directory %1\COMMS.
goto exit_fail_code

:could_not_create_lists
echo Could not create directory %1\LISTS.
goto exit_fail_code

:could_not_create_infected
echo Could not create directory %1\INFECTED.
goto exit_fail_code

:no_arg_given
echo USAGE: install (directory)
echo For example: 'install d:\sweep' will install Sweep for
echo Windows NT as an InterCheck server into a directory
echo structure beneath d:\sweep.
goto exit_fail_code

:copy_nticinst
xcopy /q a:nticinst.cmd .
nticinst %1 started

REM -------------------------------------------------------------
REM Here are the exit codes.

:exit_success_code
echo NTSweep has been installed ready for use as an InterCheck server.
echo.
echo Before using NTSweep as an InterCheck server, please:
echo  - Change to the directory %1 
echo  - Run the program ICONTROL or ICW to set up the configuration
echo      for the InterCheck server.
goto out

:exit_fail_code
echo Errors were encountered. Installation incomplete.
goto out

REM -------------------------------------------------------------
:out
TITLE Command Prompt
popd
