
# Sample control script file for SWCONSOL. This file shows how
# SWCONSOL can be used to automate the updating of SWEEP on a
# remote NetWare server. This script assumes that a new version
# of SWEEP.NLM has already been copied to the SYSTEM directory
# on the server to be updated, and that SWCONSOL is running on
# that server. Copying this file to the SWCONSOL command file
# will trigger an update.

# In the line below, replace xxxxxxxx with the value produced
# by the program FILEMAC.EXE or SWCONMAC.EXE...

FILEMAC xxxxxxxx SYS:/SYSTEM/SWEEP.NLM

# If we succeed, then SWEEP.NLM was copied without errors,
# so we can now unload the currently running version of
# SWEEP. If SWEEP isn't running, this next command will simply
# produce a report to that effect on the console, and continue.

TYPE UNLOAD SWEEP

# We now wait a few moments. This is not really necessary, but
# closely emulates how we'd do it if we were using RCONSOLE.
# As long as SWEEP is down for only a short while, InterCheck
# clients will not even be aware of the interruption. Change
# the delay as you see fit.

DELAY 4500

# And now we want to fire up the brand new SWEEP. This initialises
# and brings into play the latest virus identities.

TYPE LOAD SWEEP

# That's it!

