  @ECHO OFF

  REM Set up global parameters for use in this file.
  REM For NT 3.51 machines, you will probably want
  REM "SweepDir=\SWEEP" and "XxxFname=SWEEPxxx.351".
  REM Note this file assumes that everything will
  REM end up on the C: drive of the target machine.
  REM
  REM This is version: 1.36

  SET LocalDrv=C:
  SET HiveFstr=SWNT
  SET SweepDir=\Program Files\Sophos SWEEP for NT
  SET SrvFname=SWEEPSRV.400
  SET NetFname=SWEEPNET.400
  SET UpdFname=SWEEPUPD.400

  REM Check that there's a machine name parameter...

  IF "%1" == "" GOTO NOPARAM

  REM Now, check that we can actually get at the
  REM C: drive of the target machine...

  NET USE %1\C$
  IF ERRORLEVEL 1 GOTO NOMAP

  REM Also confirm that we have the hive files we
  REM need to inject configuration info. These should
  REM be called SWNTHKLM and SWNTHKU. You need to
  REM create them first with SWSERV SAVE...

  IF NOT EXIST %HiveFstr%HKLM GOTO NOHIVEFILE
  IF NOT EXIST %HiveFstr%HKU  GOTO NOHIVEFILE

  REM Next, copy over the files we need...

  MD "%1\C$%SweepDir%"
  XCOPY "%LocalDrv%%SweepDir%\*.*" "%1\C$%SweepDir%" /S /E /C

  REM We need a hive file for config injection, and
  REM we'll put in the remote root dir, for ease...

  COPY %HiveFstr%HKLM %1\C$\
  COPY %HiveFstr%HKU  %1\C$\

  REM Now we can inject the configuration remotely...

  SWHIVE RESTORE C:\%HiveFstr%HKLM HKLM\SOFTWARE\Sophos\SweepNT %1
  IF ERRORLEVEL 1 GOTO NOHIVE

  SWHIVE RESTORE C:\%HiveFstr%HKU HKU\.DEFAULT\Software\Sophos\SweepNT %1
  IF ERRORLEVEL 1 GOTO NOHIVE

  REM And then we just start up the services...

  SWSERV CREATE @%SrvFname% %1
  IF ERRORLEVEL 1 GOTO NOSRV

  SWSERV CREATE @%NetFname% %1
  IF ERRORLEVEL 1 GOTO NONET

  SWSERV CREATE @%UpdFname% %1
  IF ERRORLEVEL 1 GOTO NOUPD

  REM If we get here, the remote workstation is protected!

  ECHO Successfully deployed SWEEP on %1

  GOTO END

  :NOPARAM
  ECHO Usage: %0 \\MACHINENAME
  GOTO END
  :NOMAP
  ECHO Unable to map to C: drive of remote machine %1
  GOTO END
  :NOHIVEFILE
  ECHO Unable to locate local hive config files %HiveFstr%HKLM and %HiveFstr%HKU
  GOTO END
  :NOHIVE
  ECHO Unable to inject registry configuration info into %1
  GOTO END
  :NOSRV
  ECHO Unable to create/start basic SWEEP for NT service on %1
  GOTO END
  :NONET
  ECHO Unable to create/start SWEEP for NT Network service on %1
  GOTO END
  :NOUPD
  ECHO Unable to create/start SWEEP for NT Update service on %1
  GOTO END

  :END

  REM Tidy up the environment...

  SET LocalDrv=
  SET SweepDir=
  SET HiveFstr=
  SET SrvFname=
  SET NetFname=
  SET UpdFname=

